petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGetBlockSize

Gets the blocksize for the vector, i.e. what is used for VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetBlockSize(Vec v,PetscInt *bs)

Not Collective Many br

### Input Parameter

v -the vector Many br

### Output Parameter

bs -the blocksize Many br

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize. Many br

Many br

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMapping(), VecSetBlockSize()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages